package it.davideorlandi.jtbtar.ui;

/**
 * Keys for preferences.
 * @author Davide
 */
public class PreferenceKeys
{
    /** currently selected tab */
    public static final String SELECTED_TAB = "selected.tab";

    /** directory for unpacked atlas */
    public static final String SOURCE_ATLAS_DIR = "source.atlas.dir";

    /** directory for packed atlas */
    public static final String DESTINATION_ATLAS_DIR = "destination.atlas.dir";

    /** directory for unpacked map */
    public static final String SOURCE_MAP_DIR = "source.map.dir";

    /** directory for packed map */
    public static final String DESTINATION_MAP_DIR = "destination.map.dir";

    /** include .set file in root index (atlas mode) */
    public static final String INCLUDE_SET_IN_ROOT = "include.set.in.root";

    /** include .set file in each tared map (atlas mode) */
    public static final String INCLUDE_SET_IN_MAPS = "include.set.in.maps";

    /** include .set file in each tared map (map mode) */
    public static final String INCLUDE_SET_IN_MAP = "include.set.in.map";

    /** window width */
    public static final String WINDOW_WIDTH = "window.width";

    /** window x position */
    public static final String WINDOW_POSITION_X = "window.position.x";

    /** window y position */
    public static final String WINDOW_POSITION_Y = "window.position.y";
}
