package it.davideorlandi.jtbtar.exception;

/**
 * Exception that can be displayed directly in he UI (without exceotion name or stack trace).
 * @author Davide
 */
public class DisplayebleException extends Exception
{

    /**
     * @see Exception#Exception()
     */
    public DisplayebleException()
    {
        super();
    }

    /**
     * @see Exception#Exception(String, Throwable)
     */
    public DisplayebleException(final String message, final Throwable cause)
    {
        super(message, cause);
    }

    /**
     * @see Exception#Exception(String)
     */
    public DisplayebleException(final String message)
    {
        super(message);
    }

    /**
     * @see Exception#Exception(Throwable)
     */
    public DisplayebleException(final Throwable cause)
    {
        super(cause);
    }

}
