package it.davideorlandi.jtbtar.ui;

/**
 * Panel, etc. that can be enabled/disabled.
 * @author Davide
 */
public interface CanBeDisabled
{
    /**
     * Enable or disable controls.
     * @param enabled true=enabled, false=disabled.
     */
    public void setControlsEnabled(final boolean enabled);
}
